/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.amoro.server.dashboard.model;

import org.apache.amoro.shade.guava32.com.google.common.base.MoreObjects;

public class OverviewResourceUsageItem {
  private long ts;
  private int totalCpu;
  private long totalMemory;

  public OverviewResourceUsageItem(long ts, int totalCpu, long totalMemory) {
    this.ts = ts;
    this.totalCpu = totalCpu;
    this.totalMemory = totalMemory;
  }

  public long getTs() {
    return ts;
  }

  public void setTs(long ts) {
    this.ts = ts;
  }

  public int getTotalCpu() {
    return totalCpu;
  }

  public void setTotalCpu(int totalCpu) {
    this.totalCpu = totalCpu;
  }

  public long getTotalMemory() {
    return totalMemory;
  }

  public void setTotalMemory(long totalMemory) {
    this.totalMemory = totalMemory;
  }

  @Override
  public String toString() {
    return MoreObjects.toStringHelper(this)
        .add("ts", ts)
        .add("totalCpu", totalCpu)
        .add("totalMemory", totalMemory)
        .toString();
  }
}
