/*
  * Licensed to the Apache Software Foundation (ASF) under one
  * or more contributor license agreements.  See the NOTICE file
  * distributed with this work for additional information
  * regarding copyright ownership.  The ASF licenses this file
  * to you under the Apache License, Version 2.0 (the
  * "License"); you may not use this file except in compliance
  * with the License.  You may obtain a copy of the License at
  *
  *     http://www.apache.org/licenses/LICENSE-2.0
  *
  * Unless required by applicable law or agreed to in writing, software
  * distributed under the License is distributed on an "AS IS" BASIS,
  * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  * See the License for the specific language governing permissions and
  * limitations under the License.
  */

export default {
  last1h: 'Last 1 h',
  last12h: 'Last 12 h',
  last24h: 'Last 24 h',
  last7day: 'Last 7 day',
  healthScore: 'Health Score',
  overview: 'Overview',
  top10Tables: 'Top 10 Tables',
  latestOperations: 'Latest Operations',
  catalogs: 'Catalogs',
  catalog: 'Catalog',
  tables: 'Tables',
  optimizing: 'Optimizing',
  terminal: 'Terminal',
  settings: 'Settings',
  systemSetting: 'System Settings',
  containerSetting: 'Container Settings',
  backHome: 'Back to Home',
  version: 'Version',
  userGuide: 'User Guide',
  logout: 'Logout',
  logoutModalTitle: 'Log out of the ams?',
  order: 'Order',
  token: 'Token',
  cluster: 'Cluster',
  database: 'Database | Databases',
  tableSize: 'Table Size',
  table: 'Table | Tables',
  size: 'Size',
  file: 'File',
  files: 'Files',
  field: 'Field',
  type: 'Type',
  implementation: 'Implementation',
  required: 'Required',
  createTime: 'Create Time',
  primaryKey: 'Primary Key',
  partitionKey: 'Partition Key',
  schema: 'Schema',
  mainMetrics: 'Main Metrics',
  changeTableMetrics: 'Change Table Metrics',
  baseTableMetrics: 'Base Table Metrics',
  properties: 'Properties',
  tableProperties: 'Table Properties',
  sourceField: 'Source Field',
  transform: 'Transform',
  description: 'Description',
  metric: 'Metric',
  key: 'Key',
  value: 'Value',
  metricValue: 'Metric Value',
  averageFileSize: 'Average File Size',
  lastCommitTime: 'Last Commit Time',
  quota: 'Quota',
  createTable: 'Create Table',
  createDatabase: 'Create Database',
  databaseName: 'Database Name',
  tableName: 'Table Name',
  selectPlaceholder: 'Please select {selectPh}',
  inputPlaceholder: 'Please input {inputPh}',
  filterPlaceholder: 'Filter {inputPh}',
  basicInformation: 'Basic Information',
  partition: 'Partition',
  taskId: 'Task ID',
  fileCount: 'File Count',
  fsn: 'FSN',
  commitTime: 'Commit Time',
  commitId: 'Commit ID',
  path: 'Path',
  snapshotId: 'Snapshot ID',
  fileType: 'File Type',
  fileContent: 'File Content',
  startTime: 'Start Time',
  finishTime: 'Finish Time',
  touchTime: 'Touch Time',
  duration: 'Duration',
  optimizeType: 'Optimize Type',
  parallelism: 'Parallelism',
  input: 'Input',
  output: 'Output',
  count: 'Count',
  time: 'Time',
  operation: 'Operation',
  operationDetails: 'Operation Details',
  copy: 'Copy',
  optimizer: 'Optimizer',
  optimizerId: 'Optimizer Id',
  optimizers: 'Optimizers',
  container: 'Container',
  status: 'Status',
  optimizingStatus: 'Optimizing Status',
  allGroups: 'All Groups',
  retry: 'Retry',
  costTime: 'Cost Time',
  thread: 'Thread',
  resourceOccupation: 'Resource Occupation',
  core: 'Core',
  scaleOut: 'Scale-Out',
  release: 'Release',
  optimizeStatus: 'Optimize Status',
  fileSize: 'File Size',
  records: 'Records',
  occupation: 'Occupation',
  optimizerGroup: 'Optimizer Group',
  optimizerGroups: 'Optimizer Groups',
  resourceAllocation: 'Resource Allocation',
  resourceGroup: 'Resource Group',
  releaseOptModalTitle: 'Release this optimizer?',
  cancelOptimizingProcessOptModalTitle: 'Cancel the optimizing process of this table?',
  welcomeTip: 'Welcome to Amoro!',
  signIn: 'Sign in',
  username: 'Username',
  password: 'Password',
  pause: 'Pause',
  run: 'Run',
  format: 'Format',
  fullscreen: 'Full screen',
  recovery: 'Recovery',
  result: 'Result',
  noResult: 'No results',
  log: 'Log',
  ready: 'Ready',
  running: 'Running',
  cancel: 'Cancel',
  confirm: 'Confirm',
  cancelProcess: 'Cancel Process',
  finish: 'Finish',
  fail: 'Fail',
  loading: 'Loading',
  sqlShortcuts: 'SQL Shortcuts',
  use: 'Use',
  upgrade: 'Upgrade',
  upgrading: 'Upgrading',
  upgradeHiveTable: 'Upgrade Hive Table',
  ok: 'Ok',
  partitionField: 'Partition Field',
  otherProperties: 'Other Properties',
  errorMessage: 'Error Message',
  copySuccess: 'Copy Success',
  duplicateKey: 'duplicate key',
  lastUpgradingFailed: 'Last Upgrading Failed',
  data: 'Data',
  dataSize: 'Data Size',
  resource: 'Resource',
  resourceCpu: 'Resource Cpu',
  resourceMemory: 'Resource Memory',
  resourceUsage: 'Resource Usage',
  top10: 'Top 10',
  numIndex: 'No.',
  cpuCores: 'CPU Cores',
  cpu: 'CPU',
  memory: 'Memory',
  lastTime: 'Last {time}',
  list: 'List',
  name: 'Name',
  tableFormat: 'Table Format',
  metastore: 'Metastore',
  basic: 'Basic',
  storageConfigName: 'Storage',
  authenticationConfig: 'Authentication',
  upload: 'Upload',
  save: 'Save',
  remove: 'Remove',
  edit: 'Edit',
  deleteCatalogModalTitle: 'Remove this catalog?',
  cannotDeleteModalTitle: 'Can\'t remove this catalog.',
  cannotDeleteModalContent: 'This catalog has been used.',
  success: 'Success',
  propertiesMemory: 'properties.{type}.memory',
  leavePageModalTitle: 'Leave this page?',
  leavePageModalContent: 'Changes you made may not be saved.',
  leave: 'Leave',
  search: 'Search',
  reset: 'Reset',
  invalidInput: 'Invalid input',
  createOptimizer: 'Create Optimizer',
  addGroup: 'Add Group',
  editGroup: 'Edit Group',
  cannotDeleteGroupModalTitle: 'Can\'t remove this group.',
  cannotDeleteGroupModalContent: 'This group has been used.',
  deleteGroupModalTitle: 'Remove this group',
  processId: 'Process ID',
  tasks: 'Tasks',
  recordChartTitle: 'Table record count',
  fileChartTitle: 'Table file count',
  totalRecords: 'total-records',
  totalEqualityDeletes: 'eq-delete-records',
  totalPositionDeletes: 'pos-delete-records',
  totalFiles: 'total-files',
  totalDataFiles: 'data-files',
  totalDeleteFiles: 'delete-files',
  branches: 'branches',
  tags: 'tags',
  consumers: 'consumers',
  nothingToShow: 'Nothing to show',
  filterBranchesOrTagsOrConsumers: 'Filter branches/tags/consumers',
  findATag: 'Find a tag',
  fileSearchPlaceholder: 'Filter partitions',
  noResourceGroupsTitle: 'No resource groups available.',
  noResourceGroupsContent: 'Please create an optimizer group first.',
  goToButtonText: 'Go',
  snapshots: 'Snapshots',
  details: 'Details',
  operations: 'Operations',
  Running: 'Running',
  Canceled: 'Canceled',
  Failed: 'Failed',
  Finished: 'Finished',
  Created: 'Created',
  totalCount: 'total {total} records',
}
