/*
  * Licensed to the Apache Software Foundation (ASF) under one
  * or more contributor license agreements.  See the NOTICE file
  * distributed with this work for additional information
  * regarding copyright ownership.  The ASF licenses this file
  * to you under the Apache License, Version 2.0 (the
  * "License"); you may not use this file except in compliance
  * with the License.  You may obtain a copy of the License at
  *
  *     http://www.apache.org/licenses/LICENSE-2.0
  *
  * Unless required by applicable law or agreed to in writing, software
  * distributed under the License is distributed on an "AS IS" BASIS,
  * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  * See the License for the specific language governing permissions and
  * limitations under the License.
  */

export default {
  last1h: '最近 1 小时',
  last12h: '最近 12 小时',
  last24h: '最近 24 小时',
  last7day: '最近 7 天',
  healthScore: '健康度',
  overview: '总览',
  top10Tables: '表 TOP 10',
  latestOperations: '最近操作',
  catalogs: '目录',
  catalog: '目录',
  tables: '表',
  optimizing: '优化',
  terminal: '终端',
  settings: '设置',
  systemSetting: '系统设置',
  containerSetting: '容器设置',
  backHome: '返回首页',
  version: '版本',
  userGuide: '用户指南',
  logout: '登出',
  logoutModalTitle: '要退出AMS吗？',
  order: '排序',
  token: 'Token',
  cluster: '集群',
  database: '库',
  tableSize: '表大小',
  table: '表',
  size: '大小',
  file: '文件',
  files: '文件',
  field: '字段',
  type: '类别',
  implementation: '实现方式',
  required: '必填',
  createTime: '创建时间',
  primaryKey: '主键',
  partitionKey: '分区值',
  schema: '结构',
  mainMetrics: '主要指标',
  changeTableMetrics: 'Change 表指标',
  baseTableMetrics: 'Base 表指标',
  properties: '属性',
  tableProperties: '表属性',
  sourceField: '源字段',
  transform: '转换函数',
  description: '说明',
  metric: '指标',
  key: '键',
  value: '值',
  metricValue: '指标值',
  averageFileSize: '文件平均大小',
  lastCommitTime: '上次提交时间',
  quota: '配额',
  createTable: '创建表',
  createDatabase: '创建数据库',
  databaseName: '数据库名称',
  tableName: '表名称',
  selectPlaceholder: '请选择 {selectPh}',
  inputPlaceholder: '请输入 {inputPh}',
  filterPlaceholder: '过滤 {inputPh}',
  basicInformation: '基本信息',
  partition: '分区',
  taskId: '任务 ID',
  fileCount: '文件总数',
  fsn: 'FSN',
  commitTime: '提交时间',
  commitId: '提交 ID',
  path: '路径',
  snapshotId: '快照 ID',
  fileType: '文件类型',
  fileContent: '文件内容',
  startTime: '开始时间',
  finishTime: '完成时间',
  touchTime: '心跳时间',
  duration: '耗时',
  optimizeType: '优化类型',
  parallelism: '并行度',
  input: '输入',
  output: '输出',
  count: '总数',
  time: '时间',
  operation: '操作',
  operationDetails: '操作详情',
  copy: '复制',
  optimizer: '优化器',
  optimizerId: '优化器 ID',
  optimizers: '优化器',
  container: '容器',
  status: '状态',
  optimizingStatus: '优化状态',
  allGroups: '全部优化器',
  retry: '重试',
  costTime: '花费时长',
  thread: '线程',
  resourceOccupation: '资源占用率',
  core: '核',
  scaleOut: '扩容',
  release: '释放',
  optimizeStatus: '优化状态',
  fileSize: '文件大小',
  records: '数据行数',
  occupation: '占用率',
  optimizerGroup: '优化器组',
  optimizerGroups: '优化器组',
  resourceAllocation: '资源分配',
  resourceGroup: '资源组',
  releaseOptModalTitle: '释放此优化器？',
  cancelOptimizingProcessOptModalTitle: '取消该表的优化过程？',
  welcomeTip: '欢迎访问 Amoro!',
  signIn: '登入',
  username: '用户名',
  password: '密码',
  pause: '暂停',
  run: '启动',
  format: '格式化',
  fullscreen: '全屏',
  recovery: '还原',
  result: '结果',
  noResult: '无结果',
  log: '日志',
  ready: '就绪',
  running: '运行中',
  cancel: '取消',
  confirm: '确认',
  cancelProcess: '取消进程',
  finish: '完成',
  fail: '失败',
  loading: '加载中',
  sqlShortcuts: 'SQL 快捷方式',
  use: 'Use',
  upgrade: '升级',
  upgrading: '升级中',
  upgradeHiveTable: '升级 Hive 表',
  ok: '确定',
  partitionField: '分区字段',
  otherProperties: '其他属性',
  errorMessage: '错误信息',
  copySuccess: '复制成功',
  duplicateKey: '重复键',
  lastUpgradingFailed: '上次升级失败',
  data: '数据',
  dataSize: '数据规模',
  resource: '资源',
  resourceCpu: 'CPU 使用情况',
  resourceMemory: '内存使用情况',
  resourceUsage: '资源使用情况',
  top10: '前 10',
  numIndex: '编号',
  cpuCores: 'CPU 核心数',
  cpu: 'CPU',
  memory: '内存',
  lastTime: '上次 {time}',
  list: '列表',
  name: '名称',
  tableFormat: '表格式',
  metastore: '元数据中心',
  basic: '基本',
  storageConfigName: '存储',
  authenticationConfig: '认证',
  upload: '上传',
  save: '保存',
  remove: '移除',
  edit: '编辑',
  deleteCatalogModalTitle: '移除此目录？',
  cannotDeleteModalTitle: '不能移除这个目录',
  cannotDeleteModalContent: '这个目录已被使用',
  success: '成功',
  propertiesMemory: 'properties.{type}.memory',
  leavePageModalTitle: '离开当前页面？',
  leavePageModalContent: '您所做的更改可能无法保存。',
  leave: '离开',
  search: '搜索',
  reset: '重置',
  invalidInput: '非法输入',
  createOptimizer: '创建优化器',
  addGroup: '添加组',
  editGroup: '编辑组',
  cannotDeleteGroupModalTitle: '不能移除这个组',
  cannotDeleteGroupModalContent: '这个组已被使用',
  deleteGroupModalTitle: '移除这个组',
  processId: '进程 ID',
  tasks: '任务',
  recordChartTitle: '表记录总数',
  fileChartTitle: '表文件总数',
  totalRecords: '总数据行数',
  totalEqualityDeletes: 'Equality 删除文件数据行数',
  totalPositionDeletes: 'Position 删除文件数据行数',
  totalFiles: '总文件数量',
  totalDataFiles: '数据文件数量',
  totalDeleteFiles: '删除文件数量',
  branches: '分支',
  tags: '标签',
  consumers: '用户',
  nothingToShow: '无内容可展示',
  filterBranchesOrTagsOrConsumers: '过滤分支/标签/消费者',
  findATag: '查找标签',
  fileSearchPlaceholder: '过滤分区',
  noResourceGroupsTitle: '没有任何优化组',
  noResourceGroupsContent: '需要首先创建一个默认优化组',
  goToButtonText: '前往',
  snapshots: '快照',
  details: '详情',
  operations: '操作',
  Running: '运行中',
  Canceled: '已取消',
  Failed: '已失败',
  Finished: '已结束',
  Created: '已创建',
  totalCount: '共 {total} 条',
}
